> ## Documentation Index
> Fetch the complete documentation index at: https://docs.konnectnxt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle Details

> Verify RC book details using vehicle registration number and chassis number.

## Overview

The Vehicle Details API verifies a vehicle RC book and returns owner, vehicle,
engine, insurance, PUC, permit, and status details.

### Request Fields

* `rc_number`: Vehicle registration number (for example, `TS07HK6300`)
* `chassis_number`: Vehicle chassis number

### Notes

* Include the `Authorization: Bearer <token>` header.
* You can pass `X-Use-Mock: true` to test with mock data.


## OpenAPI

````yaml POST /v2/verification/rc-book/
openapi: 3.0.0
info:
  title: KonnectNXT API Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://bgv.konnectnxt.com/api
    description: Production
  - url: https://testbgv.konnectnxt.com/api
    description: QA
security:
  - bearerAuth: []
paths:
  /v2/verification/rc-book/:
    post:
      tags:
        - Vehicle APIs
      summary: RC Book Verification
      description: >-
        Verifies vehicle RC (Registration Certificate) details using
        registration number and chassis number.
      operationId: verifyRcBook
      parameters:
        - name: X-Use-Mock
          in: header
          required: false
          description: Set to true to receive mock response data in test environments.
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
          example: 'true'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - rc_number
                - chassis_number
              properties:
                rc_number:
                  type: string
                  description: Vehicle registration number.
                  example: TS07HK6300
                chassis_number:
                  type: string
                  description: Vehicle chassis number.
                  example: MALPC813LLM049666H
            examples:
              valid_request:
                summary: Valid RC book verification request
                value:
                  rc_number: TS011HK7777
                  chassis_number: MALPC563LLM049777H
      responses:
        '200':
          description: RC book details fetched successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  code:
                    type: integer
                    example: 200
                  message:
                    type: string
                    example: Operation completed successfully
                  data:
                    type: object
                    properties:
                      registration_number:
                        type: string
                        example: TS07HK6300
                      status:
                        type: string
                        example: ACTIVE
                      status_message:
                        type: string
                        nullable: true
                        example: null
                      state:
                        type: string
                        example: Telangana
                      registered_place:
                        type: string
                        example: RTA RANGAREDDY, TELANGANA
                      registration_date:
                        type: string
                        example: 11-10-2004
                      manufacturing_year:
                        type: string
                        example: 2020-08
                      owner_details:
                        type: object
                        properties:
                          owner_name:
                            type: string
                            example: N S*****K R***I
                          owner_serial_number:
                            type: string
                            example: '2'
                          owner_mobile_no:
                            type: string
                            nullable: true
                            example: null
                          permanent_address:
                            type: string
                            example: >-
                              F NO 7**5 V****I S*********, R*C C****Y
                              L*********, N***R C******L K***A
                          current_address:
                            type: string
                            example: >-
                              F NO 7**5 V****I S*********, R*C C****Y
                              L*********, N***R C******L K***A
                          father_name:
                            type: string
                            nullable: true
                            example: null
                      vehicle_details:
                        type: object
                        properties:
                          manufacturer:
                            type: string
                            example: HYUNDAI MOTOR INDIA LTD
                          manufacturer_model:
                            type: string
                            example: CRETA 1.5 CRDI MT SX(O) BSVI
                          vehicle_class:
                            type: string
                            example: Motor Car(LMV)
                          vehicle_category:
                            type: string
                            nullable: true
                            example: null
                          fuel_type:
                            type: string
                            example: DIESEL
                          colour:
                            type: string
                            example: TYPHOON SILVER
                          body_type:
                            type: string
                            example: '13'
                          cubic_capacity:
                            type: string
                            example: '1493.00'
                          number_of_cylinder:
                            type: string
                            example: '4'
                          wheelbase:
                            type: string
                            example: '2610'
                          gross_vehicle_weight:
                            type: string
                            example: '1755'
                          unladen_weight:
                            type: string
                            example: '1344'
                          seating_capacity:
                            type: string
                            example: '5'
                          standing_capacity:
                            type: string
                            example: '0'
                          sleeper_capacity:
                            type: string
                            nullable: true
                            example: null
                          norms_type:
                            type: string
                            example: BHARAT STAGE VI
                      engine_details:
                        type: object
                        properties:
                          engine_number:
                            type: string
                            example: D4FALM05XXXX
                          chassis_number:
                            type: string
                            example: MALPC813LLM049XXXX
                      insurance_details:
                        type: object
                        properties:
                          insurance_company:
                            type: string
                            example: Royal Sundaram General Insurance Co. Ltd
                          insurance_policy_no:
                            type: string
                            example: VPC1953029000100
                          insurance_validity:
                            type: string
                            example: 06-09-2026
                      puc_details:
                        type: object
                        properties:
                          puc_number:
                            type: string
                            example: MH01001790005169
                          puc_valid_upto:
                            type: string
                            example: 27-12-2026
                      fitness_valid_upto:
                        type: string
                        example: 06-10-2035
                      tax_valid_upto:
                        type: string
                        example: ''
                      financer_details:
                        type: object
                        properties:
                          is_financed:
                            type: string
                            nullable: true
                            example: null
                          financer:
                            type: string
                            nullable: true
                            example: null
                      permit_details:
                        type: object
                        properties:
                          permit_no:
                            type: string
                            nullable: true
                            example: null
                          permit_type:
                            type: string
                            nullable: true
                            example: null
                          permit_issue_date:
                            type: string
                            example: ''
                          permit_validity_from:
                            type: string
                            example: ''
                          permit_validity_upto:
                            type: string
                            example: ''
                          npermit_no:
                            type: string
                            nullable: true
                            example: null
                          npermit_upto:
                            type: string
                            example: ''
                      blacklist_status:
                        type: string
                        nullable: true
                        example: null
                      verification_date:
                        type: string
                        example: 14-02-2026
                  credits_used:
                    type: number
                    example: 10
                  credits_remaining:
                    type: number
                    example: 8726
              examples:
                success_response:
                  summary: Successful RC book verification
                  value:
                    status: success
                    code: 200
                    message: Operation completed successfully
                    data:
                      registration_number: TS07HK6300
                      status: ACTIVE
                      status_message: null
                      state: Telangana
                      registered_place: RTA RANGAREDDY, TELANGANA
                      registration_date: 07-10-2020
                      manufacturing_year: 2020-08
                      owner_details:
                        owner_name: N S*****H K***R
                        owner_serial_number: '2'
                        owner_mobile_no: null
                        permanent_address: >-
                          F NO 7**5 V****I S*********, R*C C****Y L*********,
                          N***R C******L K***A
                        current_address: >-
                          F NO 7**5 V****I S*********, R*C C****Y L*********,
                          N***R C******L K***A
                        father_name: null
                      vehicle_details:
                        manufacturer: HYUNDAI MOTOR INDIA LTD
                        manufacturer_model: CRETA 1.5 CRDI MT SX(O) BSVI
                        vehicle_class: Motor Car(LMV)
                        vehicle_category: null
                        fuel_type: DIESEL
                        colour: TYPHOON SILVER
                        body_type: '13'
                        cubic_capacity: '1493.00'
                        number_of_cylinder: '4'
                        wheelbase: '2610'
                        gross_vehicle_weight: '1755'
                        unladen_weight: '1344'
                        seating_capacity: '5'
                        standing_capacity: '0'
                        sleeper_capacity: null
                        norms_type: BHARAT STAGE VI
                      engine_details:
                        engine_number: D4FALM05XXXX
                        chassis_number: MALPC813LLM049XXXX
                      insurance_details:
                        insurance_company: Royal Sundaram General Insurance Co. Ltd
                        insurance_policy_no: VPC1953029000100
                        insurance_validity: 06-09-2026
                      puc_details:
                        puc_number: MH01001790005169
                        puc_valid_upto: 27-12-2026
                      fitness_valid_upto: 06-10-2035
                      tax_valid_upto: ''
                      financer_details:
                        is_financed: null
                        financer: null
                      permit_details:
                        permit_no: null
                        permit_type: null
                        permit_issue_date: ''
                        permit_validity_from: ''
                        permit_validity_upto: ''
                        npermit_no: null
                        npermit_upto: ''
                      blacklist_status: null
                      verification_date: 14-02-2026
                    credits_used: 10
                    credits_remaining: 8726
        '400':
          description: Bad request - missing required fields
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  code:
                    type: integer
                    example: 400
                  message:
                    type: string
                  data:
                    nullable: true
                    example: null
              examples:
                missing_rc_number:
                  summary: Missing registration number
                  value:
                    status: error
                    code: 400
                    message: '`rc_number` is required.'
                    data: null
                missing_chassis_number:
                  summary: Missing chassis number
                  value:
                    status: error
                    code: 400
                    message: '`chassis_number` is required.'
                    data: null
        '401':
          $ref: '#/components/responses/401'
        '402':
          $ref: '#/components/responses/402'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Missing Token:
              summary: Bearer token is missing or invalid.
              value:
                status: error
                code: 401
                message: Bearer token is missing or invalid.
                data: null
            Incorrect Token Format:
              summary: Token format is incorrect
              value:
                status: error
                code: 401
                message: Token format is incorrect
                data: null
            No Admin Found:
              summary: No admin found for this request
              value:
                status: error
                code: 401
                message: No admin user found for this organization
                data: null
            Invalid API Key:
              summary: Invalid API Key
              value:
                status: error
                code: 401
                message: Invalid API key (organization ID)
                data: null
            User not Found:
              summary: User not found
              value:
                status: error
                code: 401
                message: User not found.
                data: null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Credit Limit Exceed:
              summary: Credit Limit Exceeded.
              value:
                status: error
                code: 402
                message: Credit Limit Exceeded.
                data: null
            Insufficient Credits:
              summary: Insufficient credits
              value:
                status: error
                code: 402
                message: 'Insufficient credits: 2 required, 1 remaining.'
                data: null
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Error'
              - $ref: '#/components/schemas/APIErrorData'
          examples:
            Internal Server Error:
              summary: Internal Server Error.
              value:
                status: error
                code: 500
                message: Internal Server Error.
                data: null
  schemas:
    Error:
      allOf:
        - $ref: '#/components/schemas/APIBaseResponse'
    APIErrorData:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
    APIBaseResponse:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          $ref: '#/components/schemas/APIStatus'
        code:
          $ref: '#/components/schemas/HTTPCode'
        message:
          $ref: '#/components/schemas/APIMessage'
    APIStatus:
      type: string
      enum:
        - success
        - error
      description: Overall status of the API
    HTTPCode:
      type: integer
      description: HTTP status code
      example: 400
    APIMessage:
      type: string
      description: Description of the response or error
      example: Invalid request parameters
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key issued by KonnectNXT. Pass as `Authorization: Bearer
        <your_api_key>`.

````